Foreman - Bug #10646

Cannot build new host when locations hav been enabled and then disabled.
05/28/2015 03:21 PM - Mark Gargiulo

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Organizations and Locations
Target version: 1.8.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.8.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2411
Description

| was testing the use of locations in our foreman 1.8.0 dev server. | created 2 locations and assigned some hosts to them. | disabled
locations as it was not of value to us at this time.

After upgrading ( what appeared to be successfully ) to foreman 1.8.1 | could no longer build a new host, | was simply returned to the
submit page again.

When looking at the Interfaces tab | saw a red banner indicating a network config error but there was nothing highlighted in the dialog
box.

In the production.log | saw "Failed to save: Subnet is not defined for host's location."

| re-enabled locations and added all subnets to the first location and was able to build a new host, on disabling locations again new
hosts failed with the same error

As a hack | manually edited the foreman database and removed location references in hosts, taxable_taxonomies and taxonomies, |
was then able to build new hosts with locations disabled.

Related issues:
Related to Foreman - Bug #9391: subnet without organization/location and host... Closed 02/15/2015

Associated revisions

Revision d6a19253 - 06/02/2015 06:07 PM - Dominic Cleal

fixes #10646 - disable NIC subnet taxonomy checks when feature's disabled

Revision 37b5e080 - 06/15/2015 10:08 AM - Dominic Cleal

fixes #10646 - disable NIC subnet taxonomy checks when feature's disabled

(cherry picked from commit d6a192531b7203b12f5e755a7b695435c423ece4)

History

#1 - 05/29/2015 03:23 AM - Dominic Cleal
- Category changed from Host creation to Organizations and Locations

- translation missing: en.field_release set to 56

#2 - 05/29/2015 03:23 AM - Dominic Cleal

- Related to Bug #9391: subnet without organization/location and host using the subnet in org/loc => unable to set org/loc on the subnet added

#3 - 05/29/2015 04:16 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 05/29/2015 04:16 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2411 added
- Pull request deleted ()

#5 - 06/02/2015 07:01 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d6a192531b7203b12f5e755a7b695435c423ece4.

05/18/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d6a192531b7203b12f5e755a7b695435c423ece4
http://www.tcpdf.org

